Get the results of the outward consignment summary without product details report as an xlsx file

​

Body·

application/json
  • The actual dispatch start date in the consignment date range

  • The actual dispatch end date in the consignment date range

  • The carrier partner to filter by

  • The client partner to filter by

  • The start date in the consignment date range

  • The end date in the consignment date range

  • If the report should show only dispatch variances

  • If the report should include charges. Note: Requires correct charge permission.

  • Integer numbers.

    values
    DateEntered = 1ActualDispatchDate = 2NotYetDispatched = 3
  • A service type Id.

  • The warehouse to filter by

Responses

  • OK

Request Example for post/v1/reports/outward-consignment-summary/xlsx
curl https://api.consignlyhq.com/v1/reports/outward-consignment-summary/xlsx \
  --request POST \
  --header 'Content-Type: application/json' \
  --data '{
  "mode": "enum (DateEntered = 1, ActualDispatchDate = 2, NotYetDispatched = 3)",
  "dateFrom": "date (YYYY-MM-DD)",
  "dateTo": "date (YYYY-MM-DD)",
  "actualDispatchDateFrom": "date (YYYY-MM-DD)",
  "actualDispatchDateTo": "date (YYYY-MM-DD)",
  "clientPartnerId": null,
  "carrierPartnerId": null,
  "warehouseId": null,
  "serviceTypeId": null,
  "dispatchVariancesOnly": true,
  "includeCharges": true
}'
No Body